Package org.snpeff.logStatsServer

# Enum Class LogStats.RequestResult

java.lang.Object
java.lang.Enum<LogStats.RequestResult>
org.snpeff.logStatsServer.LogStats.RequestResult

All Implemented Interfaces:
  `Serializable`, `Comparable<LogStats.RequestResult>`, `Constable`

Enclosing class:
  `LogStats`

public static enum LogStats.RequestResult extends Enum<LogStats.RequestResult>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
`NOINFO`
`OK`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`completed()`
A request is "Completed" if the communication worked
`static LogStats.RequestResult`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LogStats.RequestResult[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OK

public static final LogStats.RequestResult OK

### ERROR

public static final LogStats.RequestResult ERROR

### NOINFO

public static final LogStats.RequestResult NOINFO

## Method Details

### values

public static LogStats.RequestResult[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LogStats.RequestResult valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### completed

public boolean completed()
A request is "Completed" if the communication worked